Subject: Re: I just pulled, and git log --graph does not show all

From: SZEDER Gábor <[email-masked]>
Date: Wed, 9 Oct 2019 01:01:30 +0200

On Tue, Sep 24, 2019 at 12:22:27PM +0200, Uwe Brauer wrote:
> I am confused, I just pulled 
> but git log --graph --decorate
> did not show all commits, 
> 
> Only 
> 
> git log --graph --decorate --all
> 
>  and from the emails I received the commits shown by --all
> 
> Should be on a new branch.
> 
> I confess I am a mercurial user not a git user, 
> 
> What is the reason for this behavior.
> 
> How can I now merge the new branch into master?

I hear you: I had a brief encounter with Mercurial not that long ago, 
and there were several things that didn't work the way I expected (or 
rather: the way I got used to with Git).  The subtle and sometimes
not-so-subtle differences between the concepts and philosophy of the
two systems might very well explain why Git didn't work the way you
expected.

However, it's impossible to give any explanation or advice without
knowing more about the situation, e.g. at least the exact commands
that you run and what they outputted, if you still have them or at
least if you can still reproduce the issue. (with potentially
sensitive URLs and/or branchnames redacted, if necessary).